include:
  - project: cloud/integrations/ci
    file:
      - default.yml

stages:
  - test

variables:
  GIT_SUBMODULE_STRATEGY: normal

test:golangci-lint:
  stage: test
  image: golangci/golangci-lint:v1.54.2
  script:
    - golangci-lint run -v
  except:
    - tags
    - main

test:tests:
  stage: test
  image: golang:1.21
  script:
    - go test -v -race ./...
  except:
    - tags
    - main
